Last Comment Bug 359081 - [BeOS] iframe scrolling broken in 1.8 branch including Firefox 2.0
: [BeOS] iframe scrolling broken in 1.8 branch including Firefox 2.0
Status: RESOLVED FIXED
: fixed1.8.1.1
Product: Core Graveyard
Classification: Graveyard
Component: Widget: BeOS (show other bugs)
: 1.8 Branch
: x86 BeOS
: -- major (vote)
: ---
Assigned To: Doug Shelton
:
Mentors:
http://www.koninklijk-circus.org/inde...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-01 12:04 PST by Doug Shelton
Modified: 2014-12-09 11:27 PST (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fixes scrolling in branch build (1.19 KB, patch)
2006-11-01 12:07 PST, Doug Shelton
sergei_d: review+
dveditz: approval1.8.1.1+
Details | Diff | Review

Description Doug Shelton 2006-11-01 12:04:53 PST
Very minor difference between branch and trunk broke iframe scrolling in branch.  URL above is good test.  Position cursor over iframe in middle, scroll using scroll wheel.  Entire page scrolls, not iframe.
Comment 1 Doug Shelton 2006-11-01 12:07:38 PST
Created attachment 244338 [details] [diff] [review]
Fixes scrolling in branch build

Changes refPoint to point at two locations.  BeOS uses refPoint.  Back-ported scrolling code missed this when posted to branch.
Comment 2 Sergei Dolgov 2006-11-01 12:24:25 PST
Comment on attachment 244338 [details] [diff] [review]
Fixes scrolling in branch build

r=sergei_d
only strabge thing is CVS diff activity about missing line end in end of file.
It never warned us before in this file such way. Are you moved to use new editor?
Anyway, I will look at it again at checkin
Comment 3 Doug Shelton 2006-11-01 13:53:05 PST
Comment on attachment 244338 [details] [diff] [review]
Fixes scrolling in branch build

This is a BeOS-only change.  Not sure whether checkins are still allowed on 1.8.1.  If not, we'd like to include this in 1.8.1.1.  Thanks!
Comment 4 Daniel Veditz [:dveditz] 2006-11-29 11:54:08 PST
Comment on attachment 244338 [details] [diff] [review]
Fixes scrolling in branch build

approved for 1.8 branch, a=dveditz for drivers
Comment 5 Sergei Dolgov 2006-12-03 08:51:58 PST
cvs ci -r MOZILLA_1_8_BRANCH:

Checking in mozilla/widget/src/beos/nsWindow.cpp;
/cvsroot/mozilla/widget/src/beos/nsWindow.cpp,v  <--  nsWindow.cpp
new revision: 1.91.4.25; previous revision: 1.91.4.24
done  

Note You need to log in before you can comment on or make changes to this bug.